Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
PUT /user-presence/me
PUT
/api/v1/user-presence/me
const url = 'https://api.pitch2sale.com/api/v1/user-presence/me';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"available_for_voice_transfer":true,"transfer_phone":"example","working_hours_start_local":"example","working_hours_end_local":"example","working_days":[1],"timezone":"example","skills":["example"],"max_concurrent_transfers":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.pitch2sale.com/api/v1/user-presence/me \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "available_for_voice_transfer": true, "transfer_phone": "example", "working_hours_start_local": "example", "working_hours_end_local": "example", "working_days": [ 1 ], "timezone": "example", "skills": [ "example" ], "max_concurrent_transfers": 1 }'Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
Examplegenerated
{ "available_for_voice_transfer": true, "transfer_phone": "example", "working_hours_start_local": "example", "working_hours_end_local": "example", "working_days": [ 1 ], "timezone": "example", "skills": [ "example" ], "max_concurrent_transfers": 1}Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}